%bcond_with crosscompile

Summary:	A utility for retrieving files using the HTTP or FTP protocols
Name:		wget
Version:	1.19.5
Release:	1
License:	GPLv3+
Group:		Networking/WWW
Url:		https://www.gnu.org/software/wget
Source0:	ftp://ftp.gnu.org/pub/gnu/wget/%{name}-%{version}.tar.gz
# The following patch is needed for authenticated sites where login can have '@':
Patch0:		wget-1.10-url_password.patch
# needed by urpmi, inspired by http://matthewm.boedicker.org/code/src/wget_force_clobber.patch
Patch1:		wget-1.18-add-force-clobber-option.patch
Patch2:		wget-1.17.1-etc.patch
Patch3:		wget-1.16-dont-run-failing-test.patch
Patch4:		wget-1.17.1-disable-ssl2.patch
BuildRequires:	lzip
BuildRequires:	gettext >= 0.17
BuildRequires:	python3
BuildRequires:	texinfo
BuildRequires:	gettext-devel
BuildRequires:	perl(HTTP::Daemon)
BuildRequires:	pkgconfig(gnutls)
BuildRequires:	pkgconfig(libcares)
BuildRequires:	pkgconfig(libidn2)
BuildRequires:	pkgconfig(libpcre)
# We don't have it yet...
#BuildRequires:	pkgconfig(libpsl)
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(uuid)
Provides:	webclient = %{EVRD}
Provides:	webfetch = %{EVRD}

%description
GNU Wget is a file retrieval utility which can use either the HTTP or FTP
protocols. Wget features include the ability to work in the background
while you're logged out, recursive retrieval of directories, file name
wildcard matching, remote file timestamp storage and comparison, use of
Rest with FTP servers and Range with HTTP servers to retrieve files over
slow or unstable connections, support for Proxy servers, and
configurability.

%files -f %{name}.lang
%verify(not md5 size mtime) %config(noreplace) %{_sysconfdir}/wgetrc
%doc AUTHORS ChangeLog MAILING-LIST NEWS README
%{_bindir}/*
%{_infodir}/*
%{_mandir}/man1/%{name}.1*

#----------------------------------------------------------------------------

%prep
%setup -q
%patch0 -p0 -b .url_password
# force-clobber lead to segfaults on arm64
%patch1 -p1 -b .force-clobber
%patch2 -p1 -b .etc
%patch3 -p1 .tests
%patch4 -p1 .ssl2


%build
autoreconf -vfi

# TODO: Enable libpsl when we will have the package
%configure2_5x \
	--enable-ipv6 \
	--enable-iri \
	--disable-rpath \
	--without-libpsl \
%if %{with crosscompile}
	--with-libssl-prefix=$SYSROOT \
%endif
	--with-ssl=openssl

%make


%install
%makeinstall_std

install -m755 util/rmold.pl %{buildroot}%{_bindir}/rmold

%find_lang %{name}


%check
make check

%changelog

* Sat Aug 25 2018 Giovanni Mariani <mc2374@mclink.it> 1.19.5-1
- (1a0abb2) Updated to release 1.19.5, updated URL and BReqs


